Summary:	Initramfs generator using udev
Summary(pl.UTF-8):	Generator initramfs wykorzystujący udev
Name:		dracut
Version:	105
Release:	1%{?tld}
License:	GPL v2+
Group:		Base
Source0:	https://github.com/dracut-ng/dracut-ng/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2b001f101c067e3ccd1cca6216e665e1
Source1:	tld.conf
Source2:	update-initramfs
Patch1:		arch-libdir.patch
Patch2:		config.patch
Patch3:		compressors.patch
Patch4:		proc_sys_remount.patch
Patch5:		misc_fixes.patch
Patch6:		initrd-release.patch
Patch7:		crypttab-keyscript.patch
Patch8:		bash.patch
Patch100:	no_systemd.patch
URL:		https://github.com/dracut-ng/dracut-ng/wiki
BuildRequires:	asciidoc
BuildRequires:	dash
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	kmod-devel >= 23
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
Requires:	bash
Requires:	bzip2
Requires:	coreutils
Requires:	cpio
Requires:	filesystem
Requires:	findutils
Requires:	glibc-misc
Requires:	grep
Requires:	gzip
Requires:	hardlink
Requires:	kmod >= 23
Requires:	sed
Requires:	udev
Requires:	util-linux >= 2.22.2-3
Requires:	vim-rt
Requires:	vim-static
Requires:	virtual(module-tools)
Requires:	xz
# disabled due to angry (bug)reports, because it changes well known
# net device names from ethX to emX or pXpY
#Suggests:	biosdevname
Suggests:	btrfs-progs
Suggests:	busybox
Suggests:	cryptsetup
Suggests:	dash
Suggests:	device-mapper
Suggests:	dmraid
Suggests:	e2fsprogs
Suggests:	gnupg
Suggests:	kbd
Suggests:	keyutils
Suggests:	libselinux-utils
Suggests:	losetup
Suggests:	lvm2
Suggests:	mdadm
Suggests:	multipath-tools
Suggests:	suspend-utils
Suggests:	syslogdaemon
Suggests:	xfsprogs
Suggests:	xz
Conflicts:	kmod < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dracutlibdir	%{_prefix}/lib/dracut

%description
Dracut contains tools to create a bootable initramfs for 2.6 Linux
kernels. Unlike existing implementations, dracut does hard-code as
little as possible into the initramfs. Dracut contains various modules
which are driven by the event-based udev. Having root on MD, DM, LVM2,
LUKS is supported as well as NFS, iSCSI, NBD, FCoE with the
dracut-network package.

%description -l pl.UTF-8
Dracut zawiera narzędzia do tworzenia uruchamialnych obrazów initramfs
dla jąder Linuksa 2.6. W przeciwieństwie do wcześniejszych
implementacji, dracut zaszywa możliwie najmniej stałych w initramfs.
Zawiera różne moduły sterowane w oparciu o zdarzenia udev. Obsługiwane
jest przechowywanie głównego systemu plików na urządzeniach MD, DM,
LVM2, LUKS, a po doinstalowaniu pakietu dracut-network także poprzez
NFS, iSCSI, NBD, FCoE.

%package network
Summary:	Dracut modules to build a dracut initramfs with network support
Summary(pl.UTF-8):	Moduły Dracuta do tworzenia initramfs z obsługą sieci
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	bridge-utils
Requires:	dhcp-client
Requires:	iproute2
Requires:	iputils-arping
Requires:	nbd
Requires:	net-tools
Requires:	nfs-utils-clients
Requires:	open-iscsi
Requires:	openssh-clients
Requires:	ping
Requires:	rpcbind
Suggests:	curl

%description network
This package requires everything which is needed to build a generic
all purpose initramfs with network support with dracut.

%description network -l pl.UTF-8
Ten pakiet zawiera wszystko, co potrzebne do tworzenia przy użyciu
dracuta zwykłych obrazów initramfs dowolnego przeznaczenia z obsługą
sieci.

%package fips
Summary:	Dracut modules to build a dracut initramfs with an integrity check
Summary(pl.UTF-8):	Moduły Dracuta do tworzenia initramfs z kontrolą spójności
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	hmaccalc
Requires:	nss-softokn-freebl
Obsoletes:	dracut-fips-aesni < 048

%description fips
This package requires everything which is needed to build an all
purpose initramfs with dracut, which does an integrity check.

%description fips -l pl.UTF-8
Ten pakiet zawiera wszystko, co potrzebne do tworzenia przy użyciu
dracuta obrazów initramfs dowolnego przeznaczenia, wykonujących
kontrolę własnej spójności.

%package caps
Summary:	Dracut modules to build a dracut initramfs which drops capabilities
Summary(pl.UTF-8):	Moduły Dracuta do tworzenia initramfs zrzucającego uprawnienia
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	libcap

%description caps
This package requires everything which is needed to build an all
purpose initramfs with dracut, which drops capabilities.

%description caps -l pl
Ten pakiet zawiera wszystko, co potrzebne do tworzenia przy użyciu
dracuta obrazów initramfs dowolnego przeznaczenia zrzucających
uprawnienia.

%package tools
Summary:	Dracut tools to build the local initramfs
Summary(pl.UTF-8):	Narzędzia Dracuta do tworzenia lokalnych initramfs
Group:		Base
Requires:	%{name} = %{version}-%{release}

%description tools
This package contains tools to assemble the local initrd and host
configuration.

%description tools -l pl.UTF-8
Ten pakiet zawiera narzędzia do łączenia lokalnych initrd oraz
konfiguracji maszyn.

%package -n bash-completion-dracut
Summary:	bash-completion for dracut
Summary(pl.UTF-8):	Bashowe dopełnianie składni dla polecenia dracut
Group:		Applications/Shells
Requires:	%{name} = %{version}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-dracut
bash-completion for dracut.

%description -n bash-completion-dracut -l pl.UTF-8
Bashowe dopełnianie składni dla polecenia dracut.

%prep
%setup -q -n dracut-ng-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch100 -p1

%{__sed} -i -e 's,@lib@,%{_lib},g' modules.d/95resume/module-setup.sh
find modules.d -name '*.orig' | xargs -r %{__rm}

%build
# not autoconf generated
./configure \
	--sysconfdir=%{_sysconfdir}

%{__make} all doc \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/boot/dracut,/sbin} \
	$RPM_BUILD_ROOT/var/{log,lib/{dracut/overlay,initramfs}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/dracut.conf.d/01-dist.conf
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/update-initramfs

echo "DRACUT_VERSION=%{version}-%{release}" >$RPM_BUILD_ROOT%{dracutlibdir}/dracut-version.sh

# create compat symlink
ln -s %{_bindir}/dracut $RPM_BUILD_ROOT/sbin/dracut

# remove foreign arch modules
%ifnarch ppc ppc64
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/90ppcmac
%endif

# modules used by dracut tests
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/test{,-makeroot,-root}
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/80test{,-makeroot,-root}
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/test

%ifnarch s390 s390x
# remove architecture specific modules
%{__rm} -r $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/80cms
%{__rm} -r $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/81cio_ignore
%{__rm} -r $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/91zipl
%{__rm} -r $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/95dasd
%{__rm} -r $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/95dasd_mod
%{__rm} -r $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/95dcssblk
%{__rm} -r $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/95zfcp
%{__rm} -r $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/95znet
%else
%{__rm} -r $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/00warpclock
%endif

# remove modules requiring systemd
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/00systemd*
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/01systemd*
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/98dracut-systemd
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/35connman
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/35network-manager
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/06dbus-broker
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/06dbus-daemon
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/06rngd
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/09dbus
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/50plymouth
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/62bluetooth
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/80lvmmerge
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/80lvmthinpool-monitor
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/91fido2
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/91pcsc
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/91pkcs11
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/91tpm2-tss
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/95squash-erofs
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/95squash-squashfs
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/99memstrack
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/99squash
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/99squash-lib
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/90dmsquash-live/checkisomd5@.service
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/90multipath/multipathd.service
%{__rm} -r $RPM_BUILD_ROOT%{dracutlibdir}/modules.d/90multipath/multipathd-configure.service
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man8/dracut-*.service.8

# remove unneded files
%{__rm} -r $RPM_BUILD_ROOT/usr/lib/kernel/install.d/*.install
%{__rm} -r $RPM_BUILD_ROOT/usr/lib/dracut/dracut.conf.d/*.example

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS.md README.md docs/HACKING.md dracut.html docs/dracut.png docs/dracut.svg
%dir %{_sysconfdir}/dracut.conf.d
%config(noreplace) %{_sysconfdir}/dracut.conf
%config(noreplace) %{_sysconfdir}/dracut.conf.d/01-dist.conf
# compat symlink
%attr(755,root,root) /sbin/dracut
%attr(755,root,root) %{_bindir}/dracut
%attr(755,root,root) %{_bindir}/lsinitrd
%attr(755,root,root) %{_bindir}/update-initramfs
%dir %{dracutlibdir}
%dir %{dracutlibdir}/dracut.conf.d
%{dracutlibdir}/dracut.conf.d/generic
%{dracutlibdir}/dracut.conf.d/hostonly
%{dracutlibdir}/dracut.conf.d/ima
%{dracutlibdir}/dracut.conf.d/no-network
%{dracutlibdir}/dracut.conf.d/no-xattr
%{dracutlibdir}/dracut.conf.d/rescue
%{dracutlibdir}/dracut.conf.d/uki-virt
%attr(755,root,root) %{dracutlibdir}/dracut-install
%attr(755,root,root) %{dracutlibdir}/dracut-util
%dir %{dracutlibdir}/modules.d
%attr(755,root,root) %{dracutlibdir}/dracut-functions.sh
%attr(755,root,root) %{dracutlibdir}/dracut-functions
%attr(755,root,root) %{dracutlibdir}/dracut-init.sh
%attr(755,root,root) %{dracutlibdir}/dracut-logger.sh
%attr(755,root,root) %{dracutlibdir}/dracut-initramfs-restore
%dir %{dracutlibdir}/modules.d/00bash
%attr(755,root,root) %{dracutlibdir}/modules.d/00bash/module-setup.sh
%dir %{dracutlibdir}/modules.d/00dash
%attr(755,root,root) %{dracutlibdir}/modules.d/00dash/*.sh
%dir %{dracutlibdir}/modules.d/00shell-interpreter
%attr(755,root,root) %{dracutlibdir}/modules.d/00shell-interpreter/module-setup.sh
%dir %{dracutlibdir}/modules.d/00warpclock
%attr(755,root,root) %{dracutlibdir}/modules.d/00warpclock/*.sh
%dir %{dracutlibdir}/modules.d/03modsign
%attr(755,root,root) %{dracutlibdir}/modules.d/03modsign/*.sh
%dir %{dracutlibdir}/modules.d/03rescue
%attr(755,root,root) %{dracutlibdir}/modules.d/03rescue/module-setup.sh
%dir %{dracutlibdir}/modules.d/04watchdog
%attr(755,root,root) %{dracutlibdir}/modules.d/04watchdog/*.sh
%dir %{dracutlibdir}/modules.d/04watchdog-modules
%attr(755,root,root) %{dracutlibdir}/modules.d/04watchdog-modules/module-setup.sh
%dir %{dracutlibdir}/modules.d/10i18n
%{dracutlibdir}/modules.d/10i18n/README
%{dracutlibdir}/modules.d/10i18n/*.rules
%attr(755,root,root) %{dracutlibdir}/modules.d/10i18n/*.sh
%dir %{dracutlibdir}/modules.d/30convertfs
%attr(755,root,root) %{dracutlibdir}/modules.d/30convertfs/*.sh
%dir %{dracutlibdir}/modules.d/50drm
%attr(755,root,root) %{dracutlibdir}/modules.d/50drm/module-setup.sh
%dir %{dracutlibdir}/modules.d/90btrfs
%{dracutlibdir}/modules.d/90btrfs/*.rules
%attr(755,root,root) %{dracutlibdir}/modules.d/90btrfs/*.sh
%dir %{dracutlibdir}/modules.d/90crypt
%attr(755,root,root) %{dracutlibdir}/modules.d/90crypt/*.sh
%dir %{dracutlibdir}/modules.d/90dm
%{dracutlibdir}/modules.d/90dm/*.rules
%attr(755,root,root) %{dracutlibdir}/modules.d/90dm/*.sh
%dir %{dracutlibdir}/modules.d/90dmraid
%{dracutlibdir}/modules.d/90dmraid/*.rules
%attr(755,root,root) %{dracutlibdir}/modules.d/90dmraid/*.sh
%dir %{dracutlibdir}/modules.d/90dmsquash-live
%attr(755,root,root) %{dracutlibdir}/modules.d/90dmsquash-live/*.sh
%dir %{dracutlibdir}/modules.d/90dmsquash-live-autooverlay
%attr(755,root,root) %{dracutlibdir}/modules.d/90dmsquash-live-autooverlay/*.sh
%dir %{dracutlibdir}/modules.d/90dmsquash-live-ntfs
%attr(755,root,root) %{dracutlibdir}/modules.d/90dmsquash-live-ntfs/*.sh
%dir %{dracutlibdir}/modules.d/90kernel-modules
%attr(755,root,root) %{dracutlibdir}/modules.d/90kernel-modules/*.sh
%dir %{dracutlibdir}/modules.d/90kernel-modules-extra
%attr(755,root,root) %{dracutlibdir}/modules.d/90kernel-modules-extra/*.sh
%dir %{dracutlibdir}/modules.d/90lvm
%{dracutlibdir}/modules.d/90lvm/*.rules
%attr(755,root,root) %{dracutlibdir}/modules.d/90lvm/*.sh
%dir %{dracutlibdir}/modules.d/90mdraid
%{dracutlibdir}/modules.d/90mdraid/*.rules
%attr(755,root,root) %{dracutlibdir}/modules.d/90mdraid/*.sh
%dir %{dracutlibdir}/modules.d/90multipath
%attr(755,root,root) %{dracutlibdir}/modules.d/90multipath/*.sh
%dir %{dracutlibdir}/modules.d/90numlock
%attr(755,root,root) %{dracutlibdir}/modules.d/90numlock/*.sh
%dir %{dracutlibdir}/modules.d/90nvdimm
%attr(755,root,root) %{dracutlibdir}/modules.d/90nvdimm/module-setup.sh
%dir %{dracutlibdir}/modules.d/90overlayfs
%attr(755,root,root) %{dracutlibdir}/modules.d/90overlayfs/*.sh
%dir %{dracutlibdir}/modules.d/90pcmcia
%attr(755,root,root) %{dracutlibdir}/modules.d/90pcmcia/module-setup.sh
%dir %{dracutlibdir}/modules.d/90qemu
%attr(755,root,root) %{dracutlibdir}/modules.d/90qemu/*.sh
%dir %{dracutlibdir}/modules.d/91crypt-gpg
%{dracutlibdir}/modules.d/91crypt-gpg/README
%attr(755,root,root) %{dracutlibdir}/modules.d/91crypt-gpg/*.sh
%dir %{dracutlibdir}/modules.d/91crypt-loop
%attr(755,root,root) %{dracutlibdir}/modules.d/91crypt-loop/*.sh
%dir %{dracutlibdir}/modules.d/95debug
%attr(755,root,root) %{dracutlibdir}/modules.d/95debug/*.sh
%dir %{dracutlibdir}/modules.d/95hwdb
%attr(755,root,root) %{dracutlibdir}/modules.d/95hwdb/module-setup.sh
%dir %{dracutlibdir}/modules.d/95lunmask
%attr(755,root,root) %{dracutlibdir}/modules.d/95lunmask/*.sh
%dir %{dracutlibdir}/modules.d/95resume
%attr(755,root,root) %{dracutlibdir}/modules.d/95resume/*.sh
%dir %{dracutlibdir}/modules.d/95rootfs-block
%attr(755,root,root) %{dracutlibdir}/modules.d/95rootfs-block/*.rules
%attr(755,root,root) %{dracutlibdir}/modules.d/95rootfs-block/*.sh
%dir %{dracutlibdir}/modules.d/95fcoe-uefi
%attr(755,root,root) %{dracutlibdir}/modules.d/95fcoe-uefi/*.sh
%dir %{dracutlibdir}/modules.d/95fstab-sys
%attr(755,root,root) %{dracutlibdir}/modules.d/95fstab-sys/*.sh
%dir %{dracutlibdir}/modules.d/95nvmf
%attr(755,root,root) %{dracutlibdir}/modules.d/95nvmf/*.sh
%{dracutlibdir}/modules.d/95nvmf/95-nvmf-initqueue.rules
%dir %{dracutlibdir}/modules.d/95virtiofs
%attr(755,root,root) %{dracutlibdir}/modules.d/95virtiofs/*.sh
%dir %{dracutlibdir}/modules.d/95terminfo
%attr(755,root,root) %{dracutlibdir}/modules.d/95terminfo/*.sh
%dir %{dracutlibdir}/modules.d/95udev-rules
%attr(755,root,root) %{dracutlibdir}/modules.d/95udev-rules/*.sh
%dir %{dracutlibdir}/modules.d/95virtfs
%attr(755,root,root) %{dracutlibdir}/modules.d/95virtfs/*.sh
%dir %{dracutlibdir}/modules.d/96securityfs
%attr(755,root,root) %{dracutlibdir}/modules.d/96securityfs/*.sh
%dir %{dracutlibdir}/modules.d/97biosdevname
%attr(755,root,root) %{dracutlibdir}/modules.d/97biosdevname/*.sh
%dir %{dracutlibdir}/modules.d/97masterkey
%{dracutlibdir}/modules.d/97masterkey/README
%attr(755,root,root) %{dracutlibdir}/modules.d/97masterkey/*.sh
%dir %{dracutlibdir}/modules.d/98ecryptfs
%{dracutlibdir}/modules.d/98ecryptfs/README
%attr(755,root,root) %{dracutlibdir}/modules.d/98ecryptfs/*.sh
%dir %{dracutlibdir}/modules.d/98integrity
%{dracutlibdir}/modules.d/98integrity/README
%attr(755,root,root) %{dracutlibdir}/modules.d/98integrity/*.sh
%dir %{dracutlibdir}/modules.d/98pollcdrom
%attr(755,root,root) %{dracutlibdir}/modules.d/98pollcdrom/*.sh
%dir %{dracutlibdir}/modules.d/98selinux
%attr(755,root,root) %{dracutlibdir}/modules.d/98selinux/*.sh
%dir %{dracutlibdir}/modules.d/98syslog
%{dracutlibdir}/modules.d/98syslog/README
%{dracutlibdir}/modules.d/98syslog/rsyslog.conf
%attr(755,root,root) %{dracutlibdir}/modules.d/98syslog/*.sh
%dir %{dracutlibdir}/modules.d/98usrmount
%attr(755,root,root) %{dracutlibdir}/modules.d/98usrmount/*.sh
%dir %{dracutlibdir}/modules.d/99base
%attr(755,root,root) %{dracutlibdir}/modules.d/99base/*.sh
%dir %{dracutlibdir}/modules.d/99busybox
%attr(755,root,root) %{dracutlibdir}/modules.d/99busybox/module-setup.sh
%dir %{dracutlibdir}/modules.d/99fs-lib
%attr(755,root,root) %{dracutlibdir}/modules.d/99fs-lib/*.sh
%dir %{dracutlibdir}/modules.d/99img-lib
%attr(755,root,root) %{dracutlibdir}/modules.d/99img-lib/*.sh
%dir %{dracutlibdir}/modules.d/99shutdown
%attr(755,root,root) %{dracutlibdir}/modules.d/99shutdown/*.sh
%dir %{dracutlibdir}/modules.d/99uefi-lib
%attr(755,root,root) %{dracutlibdir}/modules.d/99uefi-lib/*.sh
%attr(755,root,root) %{dracutlibdir}/dracut-version.sh
%attr(755,root,root) %{dracutlibdir}/skipcpio

%dir /var/lib/initramfs

%{_npkgconfigdir}/dracut.pc

%{_mandir}/man1/lsinitrd.1*
%{_mandir}/man5/dracut.conf.5*
%{_mandir}/man7/dracut.bootup.7*
%{_mandir}/man7/dracut.cmdline.7*
%{_mandir}/man7/dracut.kernel.7*
%{_mandir}/man7/dracut.modules.7*
%{_mandir}/man8/dracut.8*

%files network
%defattr(644,root,root,755)
%dir %{dracutlibdir}/modules.d/35network-legacy
%{dracutlibdir}/modules.d/35network-legacy/dhclient.conf
%attr(755,root,root) %{dracutlibdir}/modules.d/35network-legacy/*.sh
%dir %{dracutlibdir}/modules.d/40network
%attr(755,root,root) %{dracutlibdir}/modules.d/40network/*.sh
%dir %{dracutlibdir}/modules.d/45net-lib
%attr(755,root,root) %{dracutlibdir}/modules.d/45net-lib/*.sh
%dir %{dracutlibdir}/modules.d/45url-lib
%attr(755,root,root) %{dracutlibdir}/modules.d/45url-lib/*.sh
%dir %{dracutlibdir}/modules.d/90kernel-network-modules
%attr(755,root,root) %{dracutlibdir}/modules.d/90kernel-network-modules/module-setup.sh
%dir %{dracutlibdir}/modules.d/90livenet
%attr(755,root,root) %{dracutlibdir}/modules.d/90livenet/*.sh
%ifarch ppc ppc64
%dir %{dracutlibdir}/modules.d/90ppcmac
%attr(755,root,root) %{dracutlibdir}/modules.d/90ppcmac/*.sh
%endif
%dir %{dracutlibdir}/modules.d/90qemu-net
%attr(755,root,root) %{dracutlibdir}/modules.d/90qemu-net/*.sh
%dir %{dracutlibdir}/modules.d/95cifs
%attr(755,root,root) %{dracutlibdir}/modules.d/95cifs/*.sh
%dir %{dracutlibdir}/modules.d/95fcoe
%attr(755,root,root) %{dracutlibdir}/modules.d/95fcoe/*.sh
%dir %{dracutlibdir}/modules.d/95iscsi
%attr(755,root,root) %{dracutlibdir}/modules.d/95iscsi/*.sh
%dir %{dracutlibdir}/modules.d/95nbd
%attr(755,root,root) %{dracutlibdir}/modules.d/95nbd/*.sh
%dir %{dracutlibdir}/modules.d/95nfs
%attr(755,root,root) %{dracutlibdir}/modules.d/95nfs/*.sh
%dir %{dracutlibdir}/modules.d/95ssh-client
%attr(755,root,root) %{dracutlibdir}/modules.d/95ssh-client/*.sh

%files fips
%defattr(644,root,root,755)
%dir %{dracutlibdir}/modules.d/01fips
%attr(755,root,root) %{dracutlibdir}/modules.d/01fips/*.sh
%dir %{dracutlibdir}/modules.d/01fips-crypto-policies
%attr(755,root,root) %{dracutlibdir}/modules.d/01fips-crypto-policies/*.sh
%{dracutlibdir}/dracut.conf.d/fips

%files caps
%defattr(644,root,root,755)
%{dracutlibdir}/modules.d/02caps/README
%dir %{dracutlibdir}/modules.d/02caps
%attr(755,root,root) %{dracutlibdir}/modules.d/02caps/*.sh

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dracut-catimages
%{_mandir}/man8/dracut-catimages.8*
%dir /boot/dracut
%dir /var/lib/dracut
%dir /var/lib/dracut/overlay

%files -n bash-completion-dracut
%defattr(644,root,root,755)
%{_datadir}/bash-completion/completions/dracut
%{_datadir}/bash-completion/completions/lsinitrd
%changelog
* Thu Dec 05 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/dracut.git;a=log;h=master

* Thu Dec 05 2024 Marcin Krol <hawk@tld-linux.org> 880113a
- switched to dracut-ng, updated to 105

* Mon May 06 2024 Marcin Krol <hawk@tld-linux.org> 3d85be9
- upstream fix for microcode check

* Wed Apr 03 2024 Marcin Krol <hawk@tld-linux.org> 3ee0e32
- updated to 059

* Sun Jul 09 2023 Marcin Krol <hawk@tld-linux.org> edaf8be
- rediffed

* Tue Sep 13 2022 Marcin Krol <hawk@tld-linux.org> 6a7c4a3
- verify if keyscript has successfully unlocked luks volume

* Tue Sep 13 2022 Marcin Krol <hawk@tld-linux.org> 44320ff
- make keyscript option compatible with Debian

* Tue Aug 30 2022 Marcin Krol <hawk@tld-linux.org> b209f50
- updated to 056

* Thu Sep 05 2019 Marcin Krol <hawk@tld-linux.org> 263da8e
- bash 5 fixes

* Sat Jul 21 2018 Marcin Krol <hawk@tld-linux.org> 9491381
- fix compressors patch

* Sat Jul 21 2018 Marcin Krol <hawk@tld-linux.org> d112402
- remove systemd stuff as last patch

* Sat Jul 21 2018 Marcin Krol <hawk@tld-linux.org> 679b385
- remove systemd stuff completly, cleanup

* Sat Jul 21 2018 Marcin Krol <hawk@tld-linux.org> 9df55c4
- updated systemd clenaup

* Sat Jul 21 2018 Marcin Krol <hawk@tld-linux.org> e57fb00
- updated to 048

* Mon Jul 02 2018 Marcin Krol <hawk@tld-linux.org> 3f3a950
- added support for keyscripts in crypttab

* Fri May 18 2018 Marcin Krol <hawk@tld-linux.org> cfe0e4e
- ext4 fix

* Thu Apr 12 2018 Marcin Krol <hawk@tld-linux.org> 21e7884
- cosmetics

* Thu Mar 15 2018 Marcin Krol <hawk@tld-linux.org> 6e95428
- updated to 0.47, partial PLD merge

* Mon Nov 30 2015 Marcin Krol <hawk@tld-linux.org> 74bd56f
- updated to 044

* Mon Nov 30 2015 Marcin Krol <hawk@tld-linux.org> 34b0046
- updated for 044

* Mon Nov 30 2015 Marcin Krol <hawk@tld-linux.org> 852f480
- recreate default config dropped in 0.44

